//  SegmentChangeToolbarViewController.m
//  SegmentChangeToolbar
//  Created by Deepak Kumar on 06/10/09.
//  Copyright Rose India 2009. All rights reserved.

#import "SegmentChangeToolbarViewController.h"

@implementation SegmentChangeToolbarViewController
@synthesize barStyle, mtoolbar, buttonStyle;

-(void)viewDidLoad
{
	[super viewDidLoad];
	// create the UIToolbar at the bottom of the view controller
	mtoolbar = [UIToolbar new];
	mtoolbar.barStyle = UIBarStyleDefault;
	
	// size up the toolbar and set its frame
	[mtoolbar sizeToFit];
	CGFloat toolbarHeight = [mtoolbar frame].size.height;
	CGRect mainViewBounds = self.view.bounds;
	[mtoolbar setFrame:CGRectMake(CGRectGetMinX(mainViewBounds),
				 CGRectGetMinY(mainViewBounds) + CGRectGetHeight(mainViewBounds) - (toolbarHeight * 1.0) + 2.0,
				 CGRectGetWidth(mainViewBounds),toolbarHeight)];
	
	[self.view addSubview:mtoolbar];
	currentSystemItem = UIBarButtonSystemItemDone;
	[self createToolbarItems];
}

- (void)createToolbarItems
{	
	// match each of the toolbar item's style match the selection in the "UIBarButtonItemStyle" segmented control
	UIBarButtonItemStyle style = [self.buttonStyle selectedSegmentIndex];
	
    // create the system-defined "OK or Done" button  
    UIBarButtonItem *item = [[UIBarButtonItem alloc]initWithBarButtonSystemItem:currentSystemItem
							target:self action:@selector(action:)];
	item.style = style;

	// create a bordered style button with custom title
	UIBarButtonItem *new = [[UIBarButtonItem alloc] initWithTitle:@"Item"
																   style:style	
																  target:self
																  action:@selector(action:)];
	
	NSArray *items = [NSArray arrayWithObjects: item, new,  nil];
	[self.mtoolbar setItems:items animated:NO];
	[item release];
	[new release];
}

- (IBAction)BarStyle:(id)sender
{
	switch ([sender selectedSegmentIndex])
	{
		case 0:
			mtoolbar.barStyle = UIBarStyleDefault;
			break;
		case 1:
			mtoolbar.barStyle = UIBarStyleBlackOpaque;
			break;
		case 2:
			mtoolbar.barStyle = UIBarStyleBlackTranslucent;
			break;
	}
}

- (IBAction)ButtonStyle:(id)sender
{
    UIBarButtonItemStyle style = UIBarButtonItemStylePlain;
	switch ([sender selectedSegmentIndex])
	{
		case 0:
		{
			style = UIBarButtonItemStylePlain;
			break;
		}
		case 1:
		{	
			style = UIBarButtonItemStyleBordered;
			break;
		}
		case 2:
		{
			style = UIBarButtonItemStyleDone;
			break;
		}
	}
	NSArray *toolbarItems = mtoolbar.items;
	UIBarButtonItem *item;
	for (item in toolbarItems)
	{
		item.style = style;
	}
}

- (void)action:(id)sender
{
	NSLog(@" Stop It ");
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
	[mtoolbar release];
	[barStyle release];
	[buttonStyle release];
}

@end
